## org.apache.myfaces.el
Class PropertyResolverImpl

    java.lang.Object
      javax.faces.el.PropertyResolver
          org.apache.myfaces.el.PropertyResolverImpl

public class PropertyResolverImpl
extends javax.faces.el.PropertyResolver

Version:
  $Revision: 293105 $ $Date: 2005-10-02 08:45:03 -0400 (Sun, 02 Oct 2005) $
Author:
  Manfred Geiler (latest modification by $Author: oros $), Anton Koinov

Constructor Summary
`PropertyResolverImpl()`

Method Summary
`static java.lang.Object` `getProperty(java.lang.Object base, java.lang.String name)`
`static java.beans.PropertyDescriptor` `getPropertyDescriptor(java.beans.BeanInfo beanInfo, java.lang.String propertyName)`
`static java.beans.PropertyDescriptor` `getPropertyDescriptor(java.lang.Object base, java.lang.String name)`
`java.lang.Class` `getType(java.lang.Object base, int index)`
`java.lang.Class` `getType(java.lang.Object base, java.lang.Object property)`
`java.lang.Object` `getValue(java.lang.Object base, int index)`
`java.lang.Object` `getValue(java.lang.Object base, java.lang.Object property)`
`boolean` `isReadOnly(java.lang.Object base, int index)`
`boolean` `isReadOnly(java.lang.Object base, java.lang.Object property)`
`static void` `setProperty(java.lang.Object base, java.lang.String name, java.lang.Object newValue)`
`void` `setValue(java.lang.Object base, int index, java.lang.Object newValue)`
`void` `setValue(java.lang.Object base, java.lang.Object property, java.lang.Object newValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyResolverImpl

    public PropertyResolverImpl()

Method Detail

### getValue

    public java.lang.Object getValue(java.lang.Object base,
                                     java.lang.Object property)
                              throws javax.faces.el.EvaluationException,
                                     javax.faces.el.PropertyNotFoundException

  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### getValue

    public java.lang.Object getValue(java.lang.Object base,
                                     int index)
                              throws javax.faces.el.EvaluationException,
                                     javax.faces.el.PropertyNotFoundException

  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### setValue

    public void setValue(java.lang.Object base,
                         java.lang.Object property,
                         java.lang.Object newValue)
                  throws javax.faces.el.EvaluationException,
                         javax.faces.el.PropertyNotFoundException

  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### setValue

    public void setValue(java.lang.Object base,
                         int index,
                         java.lang.Object newValue)
                  throws javax.faces.el.EvaluationException,
                         javax.faces.el.PropertyNotFoundException

  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### isReadOnly

    public boolean isReadOnly(java.lang.Object base,
                              java.lang.Object property)

### isReadOnly

    public boolean isReadOnly(java.lang.Object base,
                              int index)

### getType

    public java.lang.Class getType(java.lang.Object base,
                                   java.lang.Object property)

### getType

    public java.lang.Class getType(java.lang.Object base,
                                   int index)

### setProperty

    public static void setProperty(java.lang.Object base,
                                   java.lang.String name,
                                   java.lang.Object newValue)

### getProperty

    public static java.lang.Object getProperty(java.lang.Object base,
                                               java.lang.String name)

### getPropertyDescriptor

    public static java.beans.PropertyDescriptor getPropertyDescriptor(java.lang.Object base,
                                                                      java.lang.String name)

### getPropertyDescriptor

    public static java.beans.PropertyDescriptor getPropertyDescriptor(java.beans.BeanInfo beanInfo,
                                                                      java.lang.String propertyName)